PHP Manual
Prev |  | Next

# timezone_identifiers_list

(PHP 5 >= 5.1.0RC1)

timezone_identifiers_list -- Returns numerically index array with all timezone identifiers

## Description

array timezone_identifiers_list ( void )
array DateTimeZone::listIdentifiers ( void )

## Return Values

Returns array on success or `FALSE` on failure.

## Examples

Example 1. A timezone_identifiers_list() example

`<?php $timezone_identifiers = DateTimeZone::listIdentifiers(); for ($i=0; $i < 5; $i++) { echo "$timezone_identifiers[$i]\n"; } ?>`

The above example will output something similar to:

    Africa/Abidjan
    Africa/Accra
    Africa/Addis_Ababa
    Africa/Algiers
    Africa/Asmera

## See Also

timezone_abbreviations_list()

Prev | Home | Next
timezone_abbreviations_list | Up | timezone_name_from_abbr